[Overview][Classes][Procedures and functions][Index] | Reference for unit 'AsyncProcess' (#lcl)

# TAsyncProcess.OnTerminate

Event handler signalled when the process is terminated.

## Declaration

Source position: asyncprocess.pp line 53

`published property TAsyncProcess.OnTerminate : TNotifyEvent read FOnTerminate write FOnTerminate;`

## Description

OnTerminate is a TNotifyEvent property that implements the event handler signalled when the process is terminated. Applications can assign a procedure to the event handler to perform actions needed when the process is terminated.

OnTerminate is signalled (when assigned) from the HandleProcessTermination method, and occurs after the process and pipe handlers have been unhooked in the class instance.

## See also

TAsyncProcess.HandleProcessTermination |  | Performs actions needed when the process is terminated.
TNotifyEvent